- Qt 5.15
- Qt Widgets
- C++ Classes
- QTableWidget
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QTableWidget

The following members of class QTableWidget are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isItemSelected(const QTableWidgetItem *item) const
`(obsolete)` void | setItemSelected(const QTableWidgetItem *item, bool select)

## Member Function Documentation

### bool QTableWidget::isItemSelected(const QTableWidgetItem *item) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Returns `true` if the item is selected, otherwise returns `false`.

This function is deprecated. Use QTableWidgetItem::isSelected() instead.

### void QTableWidget::setItemSelected(const QTableWidgetItem *item, bool select)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Selects or deselects item depending on select.

This function is deprecated. Use QTableWidgetItem::setSelected() instead.

See also isItemSelected().